%define framework %(echo %name | sed "s|^kf6-||")
%define majver %(echo %version | cut -d. -f1-2)

Name:          kf6-ksvg
Version:       6.14.0
Release:       1mamba
Summary:       KDE Frameworks Components for handling SVGs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://invent.kde.org/frameworks/ksvg
Source:        https://download.kde.org/%{stable_kf6}/frameworks/%{majver}/ksvg-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkf6-karchive-devel
BuildRequires: libkf6-kcolorscheme-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kguiaddons-devel
BuildRequires: libkf6-kirigami-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
KDE Frameworks Components for handling SVGs.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks Components for handling SVGs

%description -n lib%{name}
KDE Frameworks Components for handling SVGs.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n %{framework}-%{version}

%build
%cmake_kf6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libKF6Svg.so.*
%dir %{_qt6_qmldir}/org/kde/ksvg
%{_qt6_qmldir}/org/kde/ksvg/*
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kf6_includedir}/KSvg
%{_kf6_includedir}/KSvg/*
%{_libdir}/libKF6Svg.so
%dir %{_libdir}/cmake/KF6Svg
%{_libdir}/cmake/KF6Svg/KF6Svg*.cmake
%{_datadir}/qlogging-categories6/ksvg.categories
%{_qt6_docdir}/KF6Svg.*


%changelog
* Sun May 11 2025 Automatic Build System <autodist@openmamba.org> 6.14.0-1mamba
- automatic version update by autodist

* Sun Apr 13 2025 Automatic Build System <autodist@openmamba.org> 6.13.0-1mamba
- automatic version update by autodist

* Sun Mar 16 2025 Automatic Build System <autodist@openmamba.org> 6.12.0-1mamba
- automatic version update by autodist

* Sun Feb 16 2025 Automatic Build System <autodist@openmamba.org> 6.11.0-1mamba
- automatic version update by autodist

* Sat Jan 11 2025 Automatic Build System <autodist@openmamba.org> 6.10.0-1mamba
- automatic version update by autodist

* Sun Dec 15 2024 Automatic Build System <autodist@openmamba.org> 6.9.0-1mamba
- automatic version update by autodist

* Sun Nov 10 2024 Automatic Build System <autodist@openmamba.org> 6.8.0-1mamba
- automatic version update by autodist

* Sun Oct 13 2024 Automatic Build System <autodist@openmamba.org> 6.7.0-1mamba
- automatic version update by autodist

* Sun Sep 15 2024 Automatic Build System <autodist@openmamba.org> 6.6.0-1mamba
- automatic version update by autodist

* Sat Aug 10 2024 Automatic Build System <autodist@openmamba.org> 6.5.0-1mamba
- automatic version update by autodist

* Sat Jul 13 2024 Automatic Build System <autodist@openmamba.org> 6.4.0-1mamba
- automatic version update by autodist

* Fri Jun 21 2024 Automatic Build System <autodist@openmamba.org> 6.3.1-1mamba
- automatic version update by autodist

* Sun Jun 09 2024 Automatic Build System <autodist@openmamba.org> 6.3.0-1mamba
- automatic version update by autodist

* Mon May 13 2024 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Thu Feb 29 2024 Automatic Build System <autodist@openmamba.org> 6.0.0-1mamba
- automatic version update by autodist

* Mon Feb 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.249.0-1mamba
- update to 5.249.0

* Tue Jan 30 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.248.0-1mamba
- package created using the webbuild interface
